﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Net;

namespace howto_host_to_ip_address
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Display the entered host's IP address.
        private void btnGo_Click(object sender, EventArgs e)
        {
            this.Cursor = Cursors.WaitCursor;
            lstAddresses.Items.Clear();
            txtRecoveredHost.Clear();
            try
            {
                IPHostEntry ip_host_entry = Dns.GetHostEntry(txtHost.Text);
                foreach (IPAddress address in ip_host_entry.AddressList)
                {
                    lstAddresses.Items.Add(address.ToString());
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            this.Cursor = Cursors.Default;
        }

        // Look up the selected IP address's host.
        private void lstAddresses_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.Cursor = Cursors.WaitCursor;
            IPHostEntry ip_host_entry = Dns.GetHostEntry(lstAddresses.SelectedItem.ToString());
            txtRecoveredHost.Text = ip_host_entry.HostName;
            this.Cursor = Cursors.Default;
        }
    }
}
